<div class="card-div" *ngFor="let card of cardsData">
    <div class="card card-details-div">
        <p class="card-para" (click)="openDialog($event)" id="{{ card.id }}">{{ card.name }}</p>
    </div>
</div>
<div class="card add-card-div">
    <button class="add-card-button" *ngIf="showAddCardButton" (click)="toggleAddCardInputDiv()">+ Add another card</button>
    <div class="addCard-input-div" *ngIf="showAddCardInputDiv">
        <input type="text" class="input" (change)="handleInputChange($event)">
        <button class="save-button" (click)="addNewCard()">Save</button>
    </div>
</div>